;; This file should be run as follows:
;;   sbcl --load build.lisp --eval '(cli)'
;; where <BUILD FUNCTION> is either `cli' or `web'

#-sbcl (error "Only SBCL is supported right now")

(require :asdf)

(defun cli ()
  "Build the CLI application executable."
  (sb-ext:disable-debugger)
  (asdf:load-system :truth-table/cli)
  (require :truth-table/cli)
  (sb-ext:save-lisp-and-die
   "truth-table"
   :executable t
   :save-runtime-options t
   :toplevel (intern "TOPLEVEL" :truth-table/cli)))
