(defsystem #:truth-table
  :version "0.0.1"
  :description "Tools for working with logical propositions and truth tables"
  :author "Alexander Rosenberg <zanderpkg@pm.me>"
  :license "AGPL3"
  :depends-on ())

(defsystem #:truth-table/base
  :depends-on ()
  :serial t
  :components
  ((:file "base-packages")
   (:file "parse")
   (:file "eval")
   (:file "table")
   (:file "typeset")))

(defsystem #:truth-table/args
  :depends-on (#:uiop)
  :serial t
  :components
  ((:file "base-packages")
   (:file "arguments")))

(defsystem #:truth-table/cli
  :depends-on (#:uiop
               #:with-user-abort
               #:truth-table/base
               #:truth-table/args)
  :serial t
  :components
  ((:file "cli")))

(defsystem #:truth-table/web
  :depends-on (#:uiop
               #:reblocks
               #:reblocks-ui
               #:reblocks-lass
               #:truth-table/base
               #:truth-table/args)
  :serial t
  :components
  ((:file "web")))
